# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ailake-core"
version = "0.0.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types and traits for the AI-Lake vector-native Lakehouse format"
readme = false
keywords = [
    "iceberg",
    "vector",
    "lakehouse",
    "embedding",
    "parquet",
]
categories = [
    "database",
    "data-structures",
    "encoding",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ThiagoLange/iceberg-ai-deltalakehouse"

[lib]
name = "ailake_core"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.half]
version = "2"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]

[dev-dependencies.proptest]
version = "1"
